import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Statement;

public class Demo {
    public static void main(String[] args) throws ClassNotFoundException, SQLException {
        String sql1 = "CREATE TABLE IF NOT EXISTS `table1`(`id` bigint unsigned);";
        String sql2 = "CREATE TABLE IF NOT EXISTS `table2`(`id` bigint unsigned);";
        Class.forName("com.mysql.cj.jdbc.Driver");
        Connection connection = DriverManager.getConnection("jdbc:mysql://127.0.0.1:3306/lfz", "root", "root");
        Statement statement = connection.createStatement();
        statement.execute(sql1);
        SQLWarning warningToLog = statement.getWarnings();
        while (warningToLog != null) {
            System.out.println(("SQLWarning ignored: SQL state '" + warningToLog.getSQLState() +
                    "', error code '" + warningToLog.getErrorCode() +
                    "', message [" + warningToLog.getMessage() + "]"));
            warningToLog = warningToLog.getNextWarning();
        }
        statement.execute(sql2);
        warningToLog = statement.getWarnings();
        while (warningToLog != null) {
            System.out.println(("SQLWarning ignored: SQL state '" + warningToLog.getSQLState() +
                    "', error code '" + warningToLog.getErrorCode() +
                    "', message [" + warningToLog.getMessage() + "]"));
            warningToLog = warningToLog.getNextWarning();
        }
    }
}
